%global momorel 1
%global qtdir /usr/lib/qt3
%global qtver 3.2.3
%global kdedir /usr
%global kdever 3.2.3
%global ftpdirver %{kdever}
%global sourcedir stable/%{ftpdirver}/src


Name: kdegraphics
#Icon: kde-icon.xpm
Summary: K Desktop Environment - Graphics Applications
Version: %{kdever}
Release: %{momorel}m
# Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2
# mirror site in Japan.
%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 af7092f2afc5a8565eb5017ecee6b67e 
Group: Applications/Multimedia
License: GPL
Requires: qt >= %{qtver}, kdelibs >= %{kdever}, kdebase >= %{kdever}, sane-backends >= 1.0.5 gphoto2
BuildPrereq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}, libpng >= 1.2.0
BuildPrereq: fam-devel
BuildPrereq: sane-backends-devel >= 1.0.5
BuildPreReq: autoconf >= 2.56-3m 
BuildPreReq: perl 
BuildPreReq: coreutils >= 5.0-1m
BuildPreReq: libusb-devel 
BuildPreReq: gphoto2 
BuildPreReq: glut-devel
BuildPreReq: fribidi-devel lcms-devel
# doudaro? 
#
ExcludeArch: ia64
URL: http://www.kde.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Graphics applications for the K Desktop Environment, including

  kdvi, displays TeX .dvi files
  kfax, displays faxfiles
  kghostview, displays postscript files
  kcoloredit, palette editor and color chooser
  kamera, digital camera support
  kiconedit, icon editor
  kpaint, a simple drawing program
  ksnapshot, screen capture utility
  kview, image viewer for GIF, JPEG, TIFF, etc.
  kuickshow, quick picture viewer
  kooka, scanner application
  kruler, screen ruler and color measurement tool
  ...etc.

%prep
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}
 
perl -p -i -e "s|autoconf|autoconf-2.53|g" admin/Makefile.common 
perl -p -i -e "s|autoheader|autoheader-2.53|g" admin/Makefile.common 

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir}
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags} -fno-check-new"
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} \
    --with-kamera \
    --with-xinerama \
    --enable-final
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

cd %{buildroot}/usr/share/doc/HTML/en
for i in *; do
	if [ -d $i -a -L $i/common ]; then
		rm -f $i/common
		ln -sf ../common $i
	fi
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/*
%{_libdir}/kde3/*
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/*.so.??*
%{_datadir}/applications/kde/*
%{_datadir}/applnk/.hidden/*.desktop
%{_datadir}/applnk/*/*/*.desktop
%{_datadir}/applnk/*/*.desktop
%{_datadir}/apps/kcoloredit
%{_datadir}/apps/kdvi
%{_datadir}/apps/kfax
%{_datadir}/apps/kgamma
%{_datadir}/apps/kghostview
%{_datadir}/apps/kiconedit
%{_datadir}/apps/konqueror/servicemenus/*
%{_datadir}/apps/kooka
%{_datadir}/apps/kpaint
%{_datadir}/apps/kpdf
%{_datadir}/apps/kpdfpart
%{_datadir}/apps/kpovmodeler
%{_datadir}/apps/kruler
%{_datadir}/apps/kuickshow
%{_datadir}/apps/kview
%{_datadir}/apps/kviewerpart
%{_datadir}/apps/kviewshell
%{_datadir}/apps/kviewviewer
%{_datadir}/apps/ksvg/ksvgplugin.rc
%{_datadir}/config/*
%{_datadir}/doc/HTML/en/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/mimelnk/text/*
%{_datadir}/services/*/*
%{_datadir}/services/*.desktop
%{_datadir}/services/*.protocol
%{_datadir}/servicetypes/*

%{_includedir}/*
%{_libdir}/*.so.?

%changelog
* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Wed Mar 24 2004 Toru Hoshina <t@momonga-linux.org>
- (3.2.1-2m)
- revised spec for rpm 4.2

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- modified %%files (many new files)
- add --xinerama to ./configure

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

 * Sat Dec 27 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-4m)
- rebuild against for qt-3.2.3

* Tue Dec 4 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-3m)
- buildprereq gphoto2

* Sat Nov 8 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-2m)
- rebuild against for qt-3.2.3

* Thu Sep 25 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4

* Wed Aug 13 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.3-1m)
- update to 3.1.3

* Wed Aug 6 2003 Yuya Yamaguchi <bebe@hepo.jp>
- (3.1.2-3m)
- rebuild against libexif-0.5.12

* Sun Jun 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-2m)
- remove --disable-warnings from configure

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-1m)
- update to 3.1.2
- changes are:
     kghostview: Better handling of half-broken Postscript and PDF files [#44855]
     kghostview: Fix the opening of files on the command line, which was not working if the paths contained non-alphanumeric characters or were absolute paths [#56169 and #51533]
     kghostview: Work around -dMaxBitmap bug in gs version 6.5x [#37287]
     kghostview: Reset orientation and paper size selectors after opening a new document [#51014]
     kghostview: Security fix for #56808. The security patch which was present in version 3.1.1a caused problems for some users and has been corrected [#57441]
     kghostview: ghostscript version 8 is now supported [#53343]
- delete export _POSIX2_VERSION=199209 and add BuildPreReq: coreutils >= 5.0-1m

* Tue May 13 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1a-2m)
- add --disable-warnings to configure
- %%{?smp_mflags} -> %%{?_smp_mflags}

* Fri Apr 11 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.1.1a-1m)
  update to 3.1.1a

* Thu Apr 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-3m)
- remove requires: qt-Xt
                                                                                
* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- update to 3.1.1
    KIconEdit: Fix the ellipse/circle tool not to leave any "holes" in the drawings
    Kooka: Some UI crashes fixed
    KViewShell: Default paper size is fixed
    KGhostView: Fixed wheel-mouse scrolling

* Wed Mar 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1-3m)
- add URL tag

* Wed Feb 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1-2m)
- add REMOVE.PLEASE

* Sun Feb  5 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1-1m)
- version up.

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-1m)
- ver up.

* Wed Dec 11 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.4-2m)
- use autoconf-2.53

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-1m)
- ver up.

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-1m)
- ver up.

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-1m)
- ver up.

* Sun Jun  9 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-2k)
- ver up.

* Fri Apr  5 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-2k)
  update to 3.0 release.

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-0.0003002k)
- based on 3.0rc3.

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.2.2-2k)
- version up.

* Thu Nov  8 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-10k)
- nigirisugi.
- revised spec file.

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-8k)
- revised spec file.

* Fri Oct 26 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-6k)
- rebuild against sane-backends-devel 1.0.5

* Mon Oct 15 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-4k)
- rebuild against libpng 1.2.0.

* Thu Oct  4 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-2k)
- version up.

* Wed Aug 22 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-2k)
- stable release.

* Sat Aug 11 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0003002k)
- based on 2.2beta1.

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002002k)
- based on 2.2alpha2.

* Sat May 12 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0001002k)

* Fri Mar 30 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (2.1.1-3k)

* Wed Mar 21 2001 Toru Hoshina <toru@df-usa.com>
- (2.1-2k)

* Fri Mar 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.1-12k)
- rebuild against QT-2.3.0.

* Sat Jan 13 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-10k]
- backport 2.0.1-10k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-8k]
- backport 2.0.1-9k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-9k]
- rebuild against.

* Thu Dec 14 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-7k]
- rebuild against qt-2.2.3.

* Mon Dec 11 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-5k]
- change GIF Support switch tag.
- (Vendor to Option)

* Fri Dec 08 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-3k]
- update to 2.0.1.

* Tue Nov 21 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-4k]
- rebuild against new environment glibc-2.2 egcs++

* Fri Nov 17 2000 Toru Hoshina <toru@df-usa.com>
- [2.0-3k]
- rebuild against qt 2.2.2.

* Sat Nov 04 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-1k]
- add GIF Support switch.
- release.

* Fri Oct 20 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.2k]
- modified Requires,BuildPrereq.

* Thu Oct 12 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.1k]
- update 2.0rc2.

* Tue Oct 10 2000 Kenichi Matsubara <m@kondara.org>
- rebuild against Qt-2.2.1.

* Tue Sep 26 2000 Kenichi Matsubara <m@kondara.org>
- update 1.94.

* Tue Aug 08 2000 Toru Hoshina <t@kondara.org>
- rebuild against gcc-2.96-0.6k.

* Sun Jul 30 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc 2.1.91, gcc 2.96.

* Tue Jun 20 2000 Kenichi Matsubara <m@kondara.org>
- initial release Kondara MNU/Linux.
